Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html.util
Class HTMLEncoder

    java.lang.Object
      org.apache.myfaces.shared_orchestra.renderkit.html.util.HTMLEncoder

    public abstract class HTMLEncoder

extends Object

Converts Strings so that they can be used within HTML-Code.

Constructor Summary
`HTMLEncoder()`

Method Summary
`static String` | `encode(String string)` Variant of `encode(java.lang.String)` where encodeNewline is false and encodeNbsp is true.
`static String` | `encode(String string, boolean encodeNewline)` Variant of `encode(java.lang.String)` where encodeNbsp is true.
`static String` | `encode(String string, boolean encodeNewline, boolean encodeSubsequentBlanksToNbsp)` Variant of `encode(java.lang.String)` where encodeNbsp and encodeNonLatin are true
`static String` | `encode(String string, boolean encodeNewline, boolean encodeSubsequentBlanksToNbsp, boolean encodeNonLatin)` Encodes the given string, so that it can be used within a html page.
`static String` | `encodeURIAtributte(String string, String characterEncoding)` Encode an URI, escaping or percent-encoding all required characters and following the rules mentioned on RFC 3986.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLEncoder

    public HTMLEncoder()

Method Detail

### encode

    public static String encode(String string)

  Variant of `encode(java.lang.String)` where encodeNewline is false and encodeNbsp is true.

### encode

    public static String encode(String string,
                                boolean encodeNewline)

  Variant of `encode(java.lang.String)` where encodeNbsp is true.

### encode

    public static String encode(String string,
                                boolean encodeNewline,
                                boolean encodeSubsequentBlanksToNbsp)

  Variant of `encode(java.lang.String)` where encodeNbsp and encodeNonLatin are true

### encode

    public static String encode(String string,
                                boolean encodeNewline,
                                boolean encodeSubsequentBlanksToNbsp,
                                boolean encodeNonLatin)

  Encodes the given string, so that it can be used within a html page.

  Parameters:
    `string` - the string to convert
    `encodeNewline` - if true newline characters are converted to <br>'s
    `encodeSubsequentBlanksToNbsp` - if true subsequent blanks are converted to &nbsp;'s
    `encodeNonLatin` - if true encode non-latin characters as numeric character references

### encodeURIAtributte

    public static String encodeURIAtributte(String string,
                                            String characterEncoding)
                                     throws IOException

  Encode an URI, escaping or percent-encoding all required characters and following the rules mentioned on RFC 3986.

  Parameters:
    `string` -
    `encodeNonLatin` -
  Returns:
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.